LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDocumentIndexMark Interface Referencepublished

gives access to the mark of a document index entry. More...

`import"XDocumentIndexMark.idl";`

Inheritance diagram for XDocumentIndexMark:

## Public Member Functions
string | getMarkEntry ()
void | setMarkEntry ([in] string aIndexEntry)
| sets an explicit string for this index mark to use in the index. More...
Public Member Functions inherited from XTextContent
void | attach ([in] com::sun::star::text::XTextRange xTextRange) raises ( com::sun::star::lang::IllegalArgumentException )
| is called when this object gets embedded in a text. More...
com::sun::star::text::XTextRange | getAnchor ()
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to the mark of a document index entry.

See also
  DocumentIndexMark

Developers Guide
  Text Documents - Indexes and Index Marks - Index marks

## Member Function Documentation

## ◆ getMarkEntry()

string getMarkEntry | ( |  | ) |

Returns
  the explicitly set string for the index mark.

See also
  setMarkEntry

## ◆ setMarkEntry()

void setMarkEntry | ( | [in] string | aIndexEntry | ) |

sets an explicit string for this index mark to use in the index.

If empty, the string of the TextRange to which the TextContent refers is used in the index.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XDocumentIndexMark.idl